<template>
  <div>
    <rui-empty v-if="resourcesToSync.length === 0" :content="$t('js.admin.import.nothing_to_import')" />
    <gpa-diffs v-else
               :current-base-url="baseUrl"
               :trusted-class="trustedClass"
               :entities-to-sync="resourcesToSync" />
  </div>
</template>

<script>
import RuiEmpty from '@experiments-labs/rise_ui/src/components/DataDisplay/Empty/Empty.vue'
import GpaDiffs from './Diff/Diffs.vue'
import TrustedResource from '../../../classes/models/trustedData/TrustedResource'

export default {
  name: 'GpaResources',
  components: { RuiEmpty, GpaDiffs },
  data () {
    return {
      trustedClass: TrustedResource,
      baseUrl: '/admin/resources',
    }
  },
  computed: {
    resourcesToSync () { return this.$store.getters.resourcesToSync },
  },
}
</script>
